const StyleDictionary = require('../../../index');

console.log('Build started...');
console.log('\n==============================================');

// REGISTER THE CUSTOM FILTERS

StyleDictionary.registerFilter({
  name: 'removeBigSpacing',
  matcher: function (token) {
    return token.group === 'spacing' && token.value < 0.5;
  },
});

// APPLY THE CONFIGURATION
// IMPORTANT: the registration of custom transforms
// needs to be done _before_ applying the configuration
const StyleDictionaryExtended = await StyleDictionary.extend(__dirname + '/config.json');

// FINALLY, BUILD ALL THE PLATFORMS
StyleDictionaryExtended.buildAllPlatforms();

console.log('\n==============================================');
console.log('\nBuild completed!');
