/**
 * @typedef {import('../types/Volume.d.ts').Volume} Volume
 * @typedef {import('../types/File.d.ts').File} File
 * @typedef {import('../types/Config.d.ts').PlatformConfig} PlatformConfig
 */
/**
 * Takes the style property object and a format and returns a
 * string that can be written to a file.
 * @memberOf StyleDictionary
 * @param {File} file
 * @param {PlatformConfig} [platform]
 * @param {Volume} [vol]
 */
export default function cleanFile(file: File, platform?: import("../types/Config.d.ts").PlatformConfig | undefined, vol?: import("../types/Volume.d.ts").Volume | undefined): Promise<Record<"warning" | "success", string[]>>;
export type Volume = import('../types/Volume.d.ts').Volume;
export type File = import('../types/File.d.ts').File;
export type PlatformConfig = import('../types/Config.d.ts').PlatformConfig;
