/*
 * Copyright 2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance with
 * the License. A copy of the License is located at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * or in the "license" file accompanying this file. This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions
 * and limitations under the License.
 */

import usesReferences from './references/usesReferences.js';
import { getReferences } from './references/getReferences.js';
import { resolveReferences } from './references/resolveReferences.js';
import { outputReferencesFilter } from './references/outputReferencesFilter.js';
import { outputReferencesTransformed } from './references/outputReferencesTransformed.js';
import flattenTokens from './flattenTokens.js';
import { typeDtcgDelegate } from './preprocess.js';

// Public style-dictionary/utils API
export {
  usesReferences,
  getReferences,
  resolveReferences,
  outputReferencesFilter,
  outputReferencesTransformed,
  flattenTokens,
  typeDtcgDelegate,
};
export * from '../common/formatHelpers/index.js';
